optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.MiscSystems.BoardEEPROM Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.BoardEEPROM:

## Public Member Functions
| __init__ (self, board=None)
| GetEEPROM (self, index, count)
| SetEEPROM (self, index, vector)
| EEPROMLockEnable (self, enable=True)
| Enables/Disables board EEPROM writing.
| VerifyEEPROM (self, index, vector)
| Compares stored board EEPROM with vector provided as parameter.
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x20
dict | lock
dict | register = {'id': self.sys_id << 8, 'type': bytes}
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Member Functions
| _SetEEPROMSegment (self, index, vector)
| _GetEEPROMSegment (self, index, count)
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)

## Additional Inherited Members
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - BoardEEPROM Read/Write
    System ID: 0x20

    +--------------------+------+-----------------------------------------------------------------------------------------+
    | Register Name      | Id   | Comment                                                                                 |
    +====================+======+=========================================================================================+
    | lock               | 0x00 | write the key to unlock, anything else to lock.Key value: 0x3f4744f6 (float 0.778396)   |
    +--------------------+------+-----------------------------------------------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.BoardEEPROM.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ _GetEEPROMSegment()

optoKummenberg.registers.MiscSystems.BoardEEPROM._GetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | count )
| protected

## ◆ _SetEEPROMSegment()

optoKummenberg.registers.MiscSystems.BoardEEPROM._SetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | vector )
| protected

## ◆ EEPROMLockEnable()

optoKummenberg.registers.MiscSystems.BoardEEPROM.EEPROMLockEnable | ( |  | self,
|  |  | enable = True )

Enables/Disables board EEPROM writing.

## ◆ GetEEPROM()

optoKummenberg.registers.MiscSystems.BoardEEPROM.GetEEPROM | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ help()

optoKummenberg.registers.MiscSystems.BoardEEPROM.help | ( |  | ) |
| static

## ◆ SetEEPROM()

optoKummenberg.registers.MiscSystems.BoardEEPROM.SetEEPROM | ( |  | self,
|  |  | index,
|  |  | vector )

## ◆ VerifyEEPROM()

optoKummenberg.registers.MiscSystems.BoardEEPROM.VerifyEEPROM | ( |  | self,
|  |  | index,
|  |  | vector )

Compares stored board EEPROM with vector provided as parameter.

## Member Data Documentation

## ◆ lock

dict optoKummenberg.registers.MiscSystems.BoardEEPROM.lock

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': None, 'range': None, 'default': 0.0,
'value': 0.778396}

## ◆ register

optoKummenberg.registers.MiscSystems.BoardEEPROM.register = {'id': self.sys_id << 8, 'type': bytes}

## ◆ sys_id

int optoKummenberg.registers.MiscSystems.BoardEEPROM.sys_id = 0x20

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py